/* reset started */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: white;
    box-sizing: border-box;
    font-size: 18px;
    font-family: "Roboto", sans-serif;
    font-style: normal;
    width: -webkit-fill-available;
    overflow-x: clip;
}

.container-v1 {
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    min-height: calc(100vh - 100px);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
h1 {
    color: #4CAF50;
}

li {
    list-style: none;
    font-size: 16px;
    line-height: 26px;
}

a:any-link {
    text-decoration: none;
    color: initial;
}

img {
    object-fit: cover;
}

/* reset ends */

/* header start */

header {
    background-color: white;
    box-shadow: 0 0 20px 0 #00000047;
    z-index: 2;

    nav ul li ul li {
        width: 100%;
        padding: 18px;
        margin: 0;

        &:hover {
            background-color: #00000029;
        }
    }

    li {
        position: relative;
        transition: all 0.3s;
        &:not(.randevu-al)::after {
            position: absolute;
            bottom: 0;
            left: 0;
            width: 0;
            height: 4px;
            background-color: #200c37;
            z-index: 5;
            content: "";
            transition: all 0.3s;
        }

        &:hover:not(.randevu-al)::after {
            width: 100%;
        }
    }
}

#hamburger {
    display:none;
}



header {
    height: 100px;
    display: flex;
    overflow-x: clip;
    max-width: 100vw;
    position: relative;
    align-items: center;
    justify-content: space-between;
    padding-left: 25px;
    padding-right: 25px;

    .logo {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;

        h1 {
            color: #e961a5;
        }

        img {
            width: 85px;
            height: 85px;
        }
    }

    li {
        display: inline-block;
        padding: 12px;
        margin: 6px;
        position: relative;

        .subheader {
            display: none;
            transition: all 0.4s ease-in-out;
            position: absolute;
        }

    }

    .subheader-holder:hover .first, .subheader-holder:hover .second {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        background: white;
        left: -6px;
        width: max-content;
        z-index: 3;
        top: 40px;
        box-shadow: 4px 6px 7px 0 #00000052;
    }

    .randevu-al {
        border-radius: 60px;
        background-color: #fbe6ee;
        padding: 18px;
        border: 2px solid #d981a3;
    }
}










/*footer start*/

footer {
    display: grid;
    grid-template-columns: 400px 400px 400px;
    gap: 66px;
    background-color: #420542;
    padding: 150px 0;
    justify-items: center;
    justify-content: center;
    

    * a:any-link {
        color: white;
    }

    img {
        max-width: 45px;
        padding: 4px;
        margin: 0 4px;
    }

    .container {
        max-width: 400px;
        width: max-content;
        
        
        ul {
            display: flex;
            flex-direction: column;
            gap: 24px;
        }
    }

    .contact {
        h3 {
            margin-bottom: 44px;
        }
        li {
            display: flex;
            align-items: center;
            gap: 8px;
        }
    }
}

h3, h4 {
    color: #e11e86;
}

@media (max-width:1470px) {
    .nav-menu {
        display: none;
    }

    
}
@media (min-width:550px) and (max-width:919px) {
    header#header {
        height: 90px;
        padding-left: 0;
        padding-right: 0; 

        .logo {
            img {
                width: 65px;
                height: 65px;
            }

            h1 {
                font-size: 28px;
            }

            span {
                font-size: 15px;
            }
        }

        #hamburger {
            display: flex;
            flex-direction: column;
            gap: 10px;
            padding: 15px;

            span {
                width: 36px;
                height: 4px;
                background: #e961a8;
                display: block;
                transition: all 0.4s;
            }
        }
    }
}

@media (max-width:550px) {
    header#header {
        height: 80px;
        padding-left: 0;
        padding-right: 0; 

        .logo {
            img {
                width: 55px;
                height: 55px;
            }

            h1 {
                font-size: 22px;
            }

            span {
                font-size: 14px;
            }
        }

        #hamburger {
            display: flex !important;
            flex-direction: column;
            gap: 10px;
            padding: 15px;

            span {
                width: 36px;
                height: 4px;
                background: #e961a8;
                display: block;
            }
        }
    }

    footer {
        grid-template-columns: 1fr;
    }
}

/*TODO*/

/* 1480 de padding indir 
1430 da ilk başlıklar 1020 ye kadar
920 ye kadar elementleri küçült

2230 da hizmetleri küçült

*/

@media (max-width:1480px) {
    header#header {
        padding: 0;
        height: 95px;
    }
}

@media (min-width:920px) and (max-width:1430px) {
    header#header {
        .menapoz, .fonksiyonel, .vajinusmus {
            display: none;
        }
    }
}

@media (max-width:1020px) {
    header#header {
        height: 90px;
        span, a, p {
            font-size: 16px;
        }

        li {
            padding: 8px;
            margin: 3px;
        }

        .randevu-al {
            padding: 16px;
        }
    }
}


@media (min-width:750px) and (max-width:1300px) {
    footer#footer {
        grid-template-columns: 1fr 1fr !important;
        gap: 40px !important;
        padding: 10% !important;
        justify-items: start !important;
    }
}

@media (max-width:749px) {
    footer#footer {
        grid-template-columns: 1fr!important;
        gap: 40px !important;
        padding: 10% !important;
        justify-items: start !important;
    }
}

@media (max-width:919px) {
    #header-nav {
        display: block;
        position: absolute;
        right: -100%;
        padding: 40px;
        background: white;
        top: 0;
        z-index: 2;
        transition: all 0.4s;

        ul {
            display: flex;
            gap: 2vh;
            flex-direction: column;
            padding: 20px;
            align-items: flex-start;
        }

        .subheader {
            display: none;
        }
    }

    #hamburger.active {
        position: absolute;
        z-index: 45;
        right: 0;

        span:first-child {
            transform: rotate(45deg);
            margin-bottom: -14px;
        }

        span:nth-of-type(2) {
            opacity: 0;
        }

        span:nth-of-type(3) {
            transform: rotate(-45deg);
            margin-top: -14px;
        }
    }

    #header-nav.active {
        right: 0;
        width: 100%;
        height: 100vh;
    }
}


section:first-child {
    width: 100vw !important;
    max-width: none;
    padding: 0 20px !important;
}

section {
    width: 100%;
    max-width: 800px;
    padding: 60 20px;
}

main h1 {
    text-align: center;
}


@media (max-width:700px) {
    main h1 {
        font-size: 28px;
    }
    
    #intro h2 {
        padding: 10px;
        margin: 0;
        line-height: 1;
    }
    
    #intro p {
        margin: 0;
        padding: 10px;
    }
    
    h2 {
        margin: 32px auto 10px auto;
        font-size: 20px;
    }
    
    main ul {
        padding-left: 28px;
    }
}
